Package com.documentum.fc.client.acs

# Interface IDfAcsContentRequest

All Known Subinterfaces:
  `IDfAcsRequest`

public interface IDfAcsContentRequest
Provides ACS content request related data.

Since:
  5.3 sp1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTransientField(String name, String value)`
  Adds a transient field.
  `boolean`
  `getCompression()`
  Returns compression mode.
  `long`
  `getContentLength()`
  Returns content length.
  `long`
  `getContentOffset()`
  Returns content offset.
  `String`
  `getMimeType()`
  Returns the Multimedia Internet Mail Extension (MIME) type.
  `IDfId`
  `getObjectId()`
  Returns object id.
  `String`
  `getProtocol()`
  Returns protocol name.
  `boolean`
  `getRecovery()`
  Returns recovery mode.
  `String`
  `getTransientDelimiter()`
  Returns delimiter of transient fields.
  `IDfEnumeration`
  `getTransientFieldNames()`
  Returns `IDfEnumeration` object containing names of transient fields in a order they were added.
  `IDfEnumeration`
  `getTransientFieldValues()`
  Returns `IDfEnumeration` object containing values of transient fields in a order they were added.
  `String`
  `makeURL()`
  Returns the string representation of the URL.
  `void`
  `setCompression(boolean compression)`
  Sets the compression mode.
  `void`
  `setContentLength(long length)`
  Sets the content length
  `void`
  `setContentOffset(long offset)`
  Sets the content offset.
  `void`
  `setMimeType(String mimeType)`
  Sets the Multimedia Internet Mail Extension (MIME) type
  `void`
  `setRecovery(boolean recovery)`
  Sets the recovery mode.
  `void`
  `setTransientDelimiter(String delimiter)`
  Sets the delimiter for transient fields.

- ## Method Details

  - ### makeURL

    String makeURL()
    Returns the string representation of the URL.
    Returns:
      string representation of the URL.

  - ### getObjectId

    IDfId getObjectId()
    Returns object id.
    Returns:
      object id.

  - ### getProtocol

    String getProtocol()
    Returns protocol name.
    Returns:
      protocol name.

  - ### getCompression

    boolean getCompression()
    Returns compression mode.
    Returns:
      compression mode. true indicates that client expects compression; false indicates that client does not expect compression. Default is false.

  - ### setCompression

    void setCompression(boolean compression)
    Sets the compression mode.
    Parameters:
      `compression` - true indicates that client expects compression; false indicates that client does not expect compression.

  - ### getRecovery

    boolean getRecovery()
    Returns recovery mode.
    Returns:
      recovery mode. true indicates that data transmission needs to be restored; false indicates that data transmission does not need to be restored; Default is false.

  - ### setRecovery

    void setRecovery(boolean recovery)
    Sets the recovery mode.
    Parameters:
      `recovery` - true indicates that data transmission needs to be restored.

  - ### getContentOffset

    long getContentOffset()
    Returns content offset.
    Returns:
      content offset. Default is 0.

  - ### setContentOffset

    void setContentOffset(long offset)
    Sets the content offset.
    Parameters:
      `offset` - content offset.

  - ### getContentLength

    long getContentLength()
    Returns content length.
    Returns:
      content length. Negative value indicates that value is not set. Default is -1.

  - ### setContentLength

    void setContentLength(long length)
    Sets the content length
    Parameters:
      `length` - content length

  - ### getMimeType

    String getMimeType()
    Returns the Multimedia Internet Mail Extension (MIME) type.
    Returns:
      MIME type. Null indicates that mime type is not set.

  - ### setMimeType

    void setMimeType(String mimeType)
    Sets the Multimedia Internet Mail Extension (MIME) type
    Parameters:
      `mimeType` - MIME type value

  - ### getTransientFieldNames

    IDfEnumeration getTransientFieldNames()
    Returns `IDfEnumeration` object containing names of transient fields in a order they were added.
    Returns:
      `IDfEnumeration` object containing names of transient fields in a order they were added.

  - ### getTransientFieldValues

    IDfEnumeration getTransientFieldValues()
    Returns `IDfEnumeration` object containing values of transient fields in a order they were added.
    Returns:
      `IDfEnumeration` object containing values of transient fields in a order they were added.

  - ### addTransientField

    void addTransientField(String name, String value)
    Adds a transient field.
    Parameters:
      `name` - name of transient field
      `value` - value of transient field

  - ### getTransientDelimiter

    String getTransientDelimiter()
    Returns delimiter of transient fields.
    Returns:
      delimiter to be used to separate name and value of transient fields.

  - ### setTransientDelimiter

    void setTransientDelimiter(String delimiter)
    Sets the delimiter for transient fields.
    Parameters:
      `delimiter` - delimiter to be used to separate name and value of transient fields
    Throws:
      `NullPointerException` - if delimiter is null